<template>
  <div>
    <h1>Vault</h1>
    <div>{{ vaultResult }}</div>
  </div>
</template>

<script setup>
import { ref, onMounted } from "vue";

const vaultResult = ref('');

onMounted(async () => {
  try {
    const response = await fetch("http://localhost:8080/api/credentials/retrieve", {
      method: "GET",
      headers: {
        "Content-Type": "application/json"
      },
    });

    vaultResult.value = await response.text();
  } catch (error) {
    console.error("Error:", error);
  }
});
</script>